Skip to main content
GET
/
api
/
services
List services
curl --request GET \
  --url https://my.momanic.com/api/services \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "type": "<string>",
      "status": "<string>",
      "price": 123,
      "billingCycle": "<string>",
      "nextDueDate": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "pageSize": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1
Required range: x >= 1
pageSize
integer
default:10
Required range: 1 <= x <= 100

Response

200 - application/json

Services

data
object[]
page
integer
pageSize
integer